#!/usr/bin/env python

import mobius
import sys

for uri in sys.argv[1:]:
   print
   print ">>", uri
   print "     start         end     sectors   flags  description"

   imagefile = mobius.imagefile.new_imagefile_by_url (uri)

   if imagefile.is_available ():
     reader = imagefile.new_reader ()
   
     for starting_sector, ending_sector, sectors, etype, flags, description in mobius.partition.get_partition_table (reader):
       print '%10d  %10d  %10d  %6s  %s' % (starting_sector, ending_sector, sectors, flags, description)
